package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesScatter;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ClickToAddAPoint extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.SCATTER)
			.margin(new ArrayList<Number>(Arrays.asList(70, 50, 60, 80)))
			.events()
				.click()
				.setFunctionBody("var x = Math.round(e.xAxis[0].value), y = Math.round(e.yAxis[0].value), series = this.series[0]; series.addPoint([x, y]);")
				.addParameter("e");
		
		chartOptions.title().text("User supplied data");
		chartOptions.subtitle().text("Click the plot area to add a point. Click a point to remove it.");

		chartOptions.xAxisSingle()
			.gridLineWidth(1)
			.minPadding(0.2)
			.maxPadding(0.2)
			.maxZoom(60);

		chartOptions.yAxisSingle().minPadding(0.2).maxPadding(0.2).maxZoom(60).title().text("Value");
		chartOptions.yAxisSingle().plotLinesSingle().value(0).width(1).color(new Color("#808080"));
		
		chartOptions.legend().enabled(false);
		chartOptions.exporting().enabled(false);
		
		chartOptions.plotOptions().scatter()
			.lineWidth(1)
			.point().events().click().setFunctionBody("if (this.series.data.length > 1) { this.remove(); }");
		
		SeriesScatter seriesScatter = new SeriesScatter();
		seriesScatter.dataAsArrayJavaObject(getSeriesData(1));
		chartOptions.series().add(seriesScatter);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Object> getSeriesData(int series) {
		ArrayList<Object> array = new ArrayList<Object>();
		
   		array.add(new ArrayList<Object>(Arrays.asList(20, 20)));
   		array.add(new ArrayList<Object>(Arrays.asList(80, 80)));
 
    	return array;
    }
}
