package com.webonlineapp.hyjavachartsdemo.examplecharts;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.MinorTickPosition;
import com.hyjavacharts.model.highcharts.constants.TickPosition;
import com.hyjavacharts.model.highcharts.series.SeriesGauge;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class GaugeWithDualAxis extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart()
			.type(ChartType.GAUGE)
			.alignTicks(false)
			.plotBorderWidth(0)
			.plotShadowAsBoolean(false)
			.plotBackgroundColor(null)
			.plotBackgroundImage(null)
			.plotShadowAsBoolean(false); 
		
		chartOptions.title().text("Speedometer with dual axes");

		chartOptions.paneSingle()
			.startAngle(-150)
			.endAngle(150);
		
		YAxis yAxis = new YAxis();
		yAxis.min(0)
			.max(200)
			.lineColor(new Color("#339"))
			.tickColor(new Color("#339"))
			.offset(-25)
			.lineWidth(2)
			.minorTickColor(new Color("#339"))
			.tickLength(5)
			.minorTickLength(5)
			.endOnTick(false)
			.labels()
				.distance(-20);  // rotation: 'auto' not in hc api
		chartOptions.yAxis().add(yAxis);
		
		yAxis = new YAxis();
		yAxis.min(0)
			.max(124)
			.tickPosition(TickPosition.OUTSIDE)
			.lineColor(new Color("#933"))
			.lineWidth(2)
			.minorTickPosition(MinorTickPosition.OUTSIDE)
			.tickColor(new Color("#933"))
			.minorTickColor(new Color("#933"))
			.tickLength(5)
			.minorTickLength(5)
			.offset(-20)
			.endOnTick(false)
			.labels()
				.distance(12);	 // rotation: 'auto' not in hc api
		chartOptions.yAxis().add(yAxis);

		SeriesGauge sg = new SeriesGauge();
		
		sg.tooltip()
			.valueSuffix(" km/h");
		sg.name("Speed")
			.dataAsArrayNumber().add(80);
		sg.dataLabels()
			.formatter().setFunctionBody("var kmh = this.y, mph = Math.round(kmh * 0.621); return '<span style=\"color:#339\">' + kmh + ' km/h</span><br/>' + '<span style=\"color:#933\">' + mph + ' mph</span>';");
		sg.dataLabels()
			.backgroundColor().setColorValue("{ linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 }, stops: [[0, '#DDD'],[1, '#FFF']] }");
		
		chartOptions.series().add(sg);
		
		return highChart;
	}

}
