package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.Layout;
import com.hyjavacharts.model.highcharts.constants.VerticalAlign;
import com.hyjavacharts.model.highcharts.series.SeriesArea;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class InvertedAxis extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.AREA)
			.inverted(true);
		
		chartOptions.title().text("Average fruit consumption during one week");
		chartOptions.subtitle()
			.style().setCssValue("{ position: 'absolute', right: '0px', bottom: '10px' }");

		chartOptions.legend()
			.layout(Layout.VERTICAL)
			.align(HorizontalAlign.RIGHT)
			.verticalAlign(VerticalAlign.TOP)
			.x(-150)
			.y(100)
			.floating(true)
			.borderWidth(1)
			.backgroundColor(new Color().setColorValue("(Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'"));

		chartOptions.xAxisSingle().categories(new ArrayList<String>(Arrays.asList("Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday")));

		chartOptions.yAxisSingle()
			.min(0)
			.title().text("Number of units");
		chartOptions.yAxisSingle()
			.labels().formatter().setFunctionBody("return this.value;");
		
		SeriesArea seriesArea = new SeriesArea();
		seriesArea.name("John");
		seriesArea.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesArea);
		
		seriesArea = new SeriesArea();
		seriesArea.name("Jane");
		seriesArea.dataAsArrayNumber(getSeriesData(2));
		chartOptions.series().add(seriesArea);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
		ArrayList<Number> array = new ArrayList<Number>();
		
    	if (series == 1) {
    		array = new ArrayList<Number>(Arrays.asList(3, 4, 3, 5, 4, 10, 12));
    	}
    	else if (series == 2) {
    		array = new ArrayList<Number>(Arrays.asList(1, 3, 4, 3, 3, 5, 4));
    	}

    	return array;
    }
}
