package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Date;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.VerticalAlign;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.hyjavacharts.model.highcharts.series.seriesline.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class LinePoints extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.title().text("Daily visits at www.highcharts.com");
		chartOptions.subtitle().text("Source: Google Analytics");
		
		XAxis xAxi = new XAxis().type(AxisType.DATETIME).crosshairAsBoolean(true);
		//xAxi.crosshairAsJsonString().setJsonString("{ width: 2, color: 'gray', dashStyle: 'shortdot' }");
		xAxi.tickInterval(7 * 24 * 3600 * 1000).tickWidth(0).gridLineWidth(1).labels().align(HorizontalAlign.LEFT).x(3).y(-3);
		chartOptions.xAxis().add(xAxi);
		
		YAxis yAxi = new YAxis().showFirstLabel(false);
		yAxi.title().text("");
		yAxi.labels().align(HorizontalAlign.LEFT).x(3).y(16).format("{value:.,0f}");
		chartOptions.yAxis().add(yAxi);
		
		yAxi = new YAxis().linkedTo(0).gridLineWidth(0).opposite(true).showFirstLabel(false);
		yAxi.title().text("");
		yAxi.labels().align(HorizontalAlign.RIGHT).x(-3).y(16).format("{value:.,0f}");
		chartOptions.yAxis().add(yAxi);
	
		chartOptions.legend().align(HorizontalAlign.LEFT).verticalAlign(VerticalAlign.TOP).y(20).floating(true).borderWidth(0);
		
		chartOptions.tooltip().shared(true);
		
		chartOptions.plotOptions().series().marker().lineWidth(1).enabled(true);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.name("All visits").lineWidth(4).marker().radius(4);
		seriesLine.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("New visitors");
		seriesLine.dataAsArrayObject(getSeriesData(2));
		chartOptions.series().add(seriesLine);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array2 = new ArrayList<Data>();
		
    	if (series == 1) {
    		array2.add(new Data().x(Date.UTC(2013-1900,3,9,0,0,0)).y(5691));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,10,0,0,0)).y(5403));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,11,0,0,0)).y(15574));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,12,0,0,0)).y(16211));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,13,0,0,0)).y(16427));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,14,0,0,0)).y(16486));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,15,0,0,0)).y(14737));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,16,0,0,0)).y(5838));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,17,0,0,0)).y(5542));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,18,0,0,0)).y(15560));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,19,0,0,0)).y(18940));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,20,0,0,0)).y(16970));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,21,0,0,0)).y(17580));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,22,0,0,0)).y(17511));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,23,0,0,0)).y(6601));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,24,0,0,0)).y(6158));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,25,0,0,0)).y(17353));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,26,0,0,0)).y(17660));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,27,0,0,0)).y(16921));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,28,0,0,0)).y(15964));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,29,0,0,0)).y(12028));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,30,0,0,0)).y(5835));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,31,0,0,0)).y(4799));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,1,0,0,0)).y(13037));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,2,0,0,0)).y(16976));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,3,0,0,0)).y(17100));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,4,0,0,0)).y(15701));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,5,0,0,0)).y(14378));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,6,0,0,0)).y(5889));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,7,0,0,0)).y(6779));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,8,0,0,0)).y(16068));
    	}
    	else if (series == 2) {
    		array2.add(new Data().x(Date.UTC(2013-1900,3,9,0,0,0)).y(4346));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,10,0,0,0)).y(4112));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,11,0,0,0)).y(11356));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,12,0,0,0)).y(11876));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,13,0,0,0)).y(11966));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,14,0,0,0)).y(12086));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,15,0,0,0)).y(10916));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,16,0,0,0)).y(4507));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,17,0,0,0)).y(4202));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,18,0,0,0)).y(11523));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,19,0,0,0)).y(14431));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,20,0,0,0)).y(12599));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,21,0,0,0)).y(13094));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,22,0,0,0)).y(13234));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,23,0,0,0)).y(5213));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,24,0,0,0)).y(4806));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,25,0,0,0)).y(12639));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,26,0,0,0)).y(12768));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,27,0,0,0)).y(12389));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,28,0,0,0)).y(11686));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,29,0,0,0)).y(8891));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,30,0,0,0)).y(4513));
    		array2.add(new Data().x(Date.UTC(2013-1900,3,31,0,0,0)).y(3661));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,1,0,0,0)).y(9503));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,2,0,0,0)).y(12666));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,3,0,0,0)).y(12635));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,4,0,0,0)).y(11394));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,5,0,0,0)).y(10530));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,6,0,0,0)).y(4521));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,7,0,0,0)).y(5109));
    		array2.add(new Data().x(Date.UTC(2013-1900,4,8,0,0,0)).y(11599));
    	}

    	return array2;
    }
}
