package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class LogarithmicAxis extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.title().text("Logarithmic axis demo");
		
		XAxis xAxi = new XAxis().tickInterval(1);
		chartOptions.xAxis().add(xAxi);
		
		YAxis yAxi = new YAxis().type(AxisType.LOGARITHMIC).minorTickIntervalAsNumber(0.1);
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.tooltip()
			.headerFormat("<b>{series.name}</b><br />")
			.pointFormat("x = {point.x}, y = {point.y}");
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.pointStart(1);
		seriesLine.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesLine);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
		ArrayList<Number> array = new ArrayList<Number>();
		
   		array = new ArrayList<Number>(Arrays.asList(1, 2, 4, 8, 16, 32, 64, 128, 256, 512));

    	return array;
    }
}
