package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.List;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Cursor;
import com.hyjavacharts.model.highcharts.series.SeriesPie;
import com.hyjavacharts.model.highcharts.series.seriespie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class PieWithGradientFill extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		//highChart.setTheme(Theme.DARK_UNICA);
				
		chartOptions.chart()
			.type(ChartType.PIE)
			.plotShadowAsBoolean(false);
		chartOptions
			.title().text("Browser market shares January, 2015 to May, 2015");
		chartOptions
			.tooltip().pointFormat("{series.name}: <b>{point.percentage:.1f}%</b>");
		
		chartOptions.plotOptions()
			.pie()
				.allowPointSelect(true)
				.cursor(Cursor.POINTER)
				.dataLabels()
					.enabled(true)
					.format("<b>{point.name}</b>: {point.percentage:.1f} %")
					.style().setCssValue("{ color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black' }");
					//.color(new Color().setJsonString("(Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'"));
		
		SeriesPie seriesPie = new SeriesPie();
		seriesPie.name("Brands");
		seriesPie.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesPie);
		
		// Create new colors list
		List<Color> newColors = new ArrayList<Color>();
		
		for (Color defaultColor : chartOptions.colors()) {
			String Radialize = "{ radialGradient: { cx: 0.5, cy: 0.3, r: 0.7 }, stops: [ [0, '" + defaultColor.getColor() + "'], [1, Highcharts.Color('" + defaultColor.getColor() + "').brighten(-0.3).get('rgb')] ] }";
			newColors.add(new Color().setColorValue(Radialize));
		}
		
		chartOptions.colors(newColors);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
   		array.add(new Data().name("Microsoft Internet Explorer").y(56.33));
   		array.add(new Data().name("Chrome").y(24.03).sliced(true).selected(true));
   		array.add(new Data().name("Firefox").y(10.38));
   		array.add(new Data().name("Safari").y(4.77));
   		array.add(new Data().name("Opera").y(0.91));
   		array.add(new Data().name("Proprietary or Undetectable").y(0.2));

    	return array;
    }
}
