package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.PointPlacement;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesArea;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class PolarChart extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().polar(true);
		chartOptions.title().text("Highcharts Polar Chart");
		
		chartOptions.paneSingle().startAngle(0).endAngle(360);
		
		chartOptions.xAxisSingle()
			.tickInterval(45)
			.min(0)
			.max(360)
			.labels().formatter().setFunctionBody("return this.value + '°';");
		
		chartOptions.yAxisSingle().min(0);

		chartOptions.plotOptions().series().pointStart(0).pointInterval(45);
		chartOptions.plotOptions().column().pointPadding(0).groupPadding(0);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.type(SeriesType.COLUMN)
			.name("Column")
			.pointPlacementAsEnum(PointPlacement.BETWEEN);
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(8, 7, 6, 5, 4, 3, 2, 1)));
		chartOptions.series().add(seriesColumn);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.type(SeriesType.LINE)
			.name("Line");
		seriesLine.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8)));
		chartOptions.series().add(seriesLine);
		
		SeriesArea seriesArea = new SeriesArea();
		seriesArea.type(SeriesType.AREA)
			.name("Area");
		seriesArea.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(1, 8, 2, 7, 3, 6, 4, 5)));
		chartOptions.series().add(seriesArea);
		
		return highChart;
	}

}
