package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesSpline;
import com.hyjavacharts.model.highcharts.series.seriesspline.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class SplineWithInvertedAxis extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();

		chartOptions.chart().type(ChartType.SPLINE).inverted(true);
		chartOptions.title().text("Atmosphere Temperature by Altitude");
		chartOptions.subtitle().text("According to the Standard Atmosphere Model");

		XAxis xAxi = new XAxis();
		xAxi.reversed(false).title().text("Altitude");
		xAxi.labels().formatter().setFunctionBody("return this.value + 'km';");
		xAxi.maxPadding(0.05).showLastLabel(true);
		chartOptions.xAxis().add(xAxi);
	
		YAxis yAxi = new YAxis();
		yAxi.title().text("Temperature");
		yAxi.lineWidth(2).labels().formatter().setFunctionBody("return this.value + '°';");
		chartOptions.yAxis().add(yAxi);
	
		chartOptions.legend().enabled(false);
		chartOptions.tooltip().headerFormat("<b>{series.name}</b><br/>").pointFormat("{point.x} km: {point.y}°C");
		
		chartOptions.plotOptions().spline().marker().enabled(true);
		
		SeriesSpline seriesSpline = new SeriesSpline();
		seriesSpline.name("Temperature");
		seriesSpline.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesSpline);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
		array.add(new Data().x(0).y(15));
		array.add(new Data().x(10).y(-50));
		array.add(new Data().x(20).y(-56.5));
		array.add(new Data().x(30).y(-46.5));
		array.add(new Data().x(40).y(-22.1));
		array.add(new Data().x(50).y(-2.5));
		array.add(new Data().x(60).y(-27.7));
		array.add(new Data().x(70).y(-55.7));
		array.add(new Data().x(80).y(-76.5));

    	return array;
    }
}
