package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class StackedAndGroupedColumn extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.COLUMN);
		chartOptions.title().text("Total fruit consumtion, grouped by gender");

		XAxis xAxi = new XAxis();
		xAxi.categories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.xAxis().add(xAxi);

		YAxis yAxi = new YAxis();
		yAxi.allowDecimals(false)
			.min(0)
			.title().text("Number of fruits");
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.tooltip()
			.formatter()
				.setFunctionBody("return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + this.y + '<br/>' + 'Total: ' + this.point.stackTotal;");
		
		chartOptions.plotOptions().column()
			.stacking(Stacking.NORMAL);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.name("John").stack("male");
		seriesColumn.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.name("Joe").stack("male");
		seriesColumn.dataAsArrayNumber(getSeriesData(2));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.name("Jane").stack("female");
		seriesColumn.dataAsArrayNumber(getSeriesData(3));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.name("Janet").stack("female");
		seriesColumn.dataAsArrayNumber(getSeriesData(4));
		chartOptions.series().add(seriesColumn);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
		ArrayList<Number> array = new ArrayList<Number>();
		
    	if (series == 1) {
    		array = new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		array = new ArrayList<Number>(Arrays.asList(3, 4, 4, 2, 5));
    	}
    	else if (series == 3) {
    		array = new ArrayList<Number>(Arrays.asList(2, 5, 6, 2, 1));
    	}
    	else if (series == 4) {
    		array = new ArrayList<Number>(Arrays.asList(3, 0, 4, 4, 3));
    	}

    	return array;
    }
}
