package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesBar;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class StackedBar extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.BAR);
		chartOptions.title().text("Stacked bar chart");

		XAxis xAxi = new XAxis();
		xAxi.categories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.xAxis().add(xAxi);
		
		YAxis yAxi = new YAxis();
		yAxi.min(0).title().text("Total fruit consumption");
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.legend().reversed(true);
		chartOptions.plotOptions().bar().stacking(Stacking.NORMAL);
		
		SeriesBar seriesBar = new SeriesBar();
		seriesBar.name("John");
		seriesBar.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesBar);
		
		seriesBar = new SeriesBar();
		seriesBar.name("Jane");
		seriesBar.dataAsArrayNumber(getSeriesData(2));
		chartOptions.series().add(seriesBar);
		
		seriesBar = new SeriesBar();
		seriesBar.name("Joe");
		seriesBar.dataAsArrayNumber(getSeriesData(3));
		chartOptions.series().add(seriesBar);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
		ArrayList<Number> array = new ArrayList<Number>();
		
    	if (series == 1) {
    		array = new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		array = new ArrayList<Number>(Arrays.asList(2, 2, 3, 2, 1));
    	}
    	else if (series == 3) {
    		array = new ArrayList<Number>(Arrays.asList(3, 4, 4, 2, 5));
    	}

    	return array;
    }
}
