package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.ZoomType;
import com.hyjavacharts.model.highcharts.series.SeriesBubble;
import com.hyjavacharts.model.highcharts.series.seriesbubble.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDBubbles extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart()
			.type(ChartType.BUBBLE)
			.plotBorderWidth(1)
			.zoomType(ZoomType.XY);
		
		chartOptions.title()
			.text("Highcharts bubbles with radial gradient fill");
		
		chartOptions.xAxisSingle().gridLineWidth(1);
		chartOptions.yAxisSingle().startOnTick(false).endOnTick(false);
		
		SeriesBubble seriesBubble = new SeriesBubble();
		seriesBubble.marker().fillColor().setColorValue("{ radialGradient: { cx: 0.4, cy: 0.3, r: 0.7 }, stops: [ [0, 'rgba(255,255,255,0.5)'], [1, Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0.5).get('rgba')] ] }");
		seriesBubble.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesBubble);
		
		seriesBubble = new SeriesBubble();
		seriesBubble.marker().fillColor().setColorValue("{ radialGradient: { cx: 0.4, cy: 0.3, r: 0.7 }, stops: [ [0, 'rgba(255,255,255,0.5)'], [1, Highcharts.Color(Highcharts.getOptions().colors[1]).setOpacity(0.5).get('rgba')] ] }");
		seriesBubble.dataAsArrayObject(getSeriesData(2));
		chartOptions.series().add(seriesBubble);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
		if (series == 1) {
			array.add(new Data().x(9).y(81).z(63));
	        array.add(new Data().x(98).y(5).z(89));
	        array.add(new Data().x(51).y(50).z(73));
	        array.add(new Data().x(41).y(22).z(14));
	        array.add(new Data().x(58).y(24).z(20));
	        array.add(new Data().x(78).y(37).z(34));
	        array.add(new Data().x(55).y(56).z(53));
	        array.add(new Data().x(18).y(45).z(70));
	        array.add(new Data().x(42).y(44).z(28));
	        array.add(new Data().x(3).y(52).z(59));
	        array.add(new Data().x(31).y(18).z(97));
	        array.add(new Data().x(79).y(91).z(63));
	        array.add(new Data().x(93).y(23).z(23));
	        array.add(new Data().x(44).y(83).z(22));
		}
		
		if (series == 2) {
			array.add(new Data().x(42).y(38).z(20));
            array.add(new Data().x(6).y(18).z(1));
            array.add(new Data().x(1).y(93).z(55));
            array.add(new Data().x(57).y(2).z(90));
            array.add(new Data().x(80).y(76).z(22));
            array.add(new Data().x(11).y(74).z(96));
            array.add(new Data().x(88).y(56).z(10));
            array.add(new Data().x(30).y(47).z(49));
            array.add(new Data().x(57).y(62).z(98));
            array.add(new Data().x(4).y(16).z(16));
            array.add(new Data().x(46).y(10).z(11));
            array.add(new Data().x(22).y(87).z(89));
            array.add(new Data().x(57).y(91).z(82));
            array.add(new Data().x(45).y(15).z(98));
		}

    	return array;
    }
}
