package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDColumn extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.COLUMN);
		chartOptions.title().text("3d Chart demo");
		
		chartOptions.chart().options3d()
			.enabled(true)
			.alpha(15)
			.beta(15)
			.depth(50)
			.viewDistance(25);
		
		chartOptions.plotOptions().column().depth(25);

		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn
			.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(29.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 
																		216.4, 194.1, 95.6, 54.4)));
		chartOptions.series().add(seriesColumn);
		
		return highChart;
	}
	

}
