package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDColumnWithStacking extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
				
		chartOptions.chart()
			.type(ChartType.COLUMN)
			.options3d()
				.enabled(true)
				.alpha(15)
				.beta(15)
				.viewDistance(25)
				.depth(40);
		
		chartOptions
			.title().text("Total fruit consumption, grouped by gender");
		
		XAxis xAxi = new XAxis();
		xAxi.categories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.xAxis().add(xAxi);
		
		YAxis yAxi = new YAxis();
		yAxi.allowDecimals(false).min(0).title().text("Number of fruits");
		chartOptions.yAxis().add(yAxi);

		chartOptions
			.tooltip()
				.headerFormat("<b>{point.key}</b><br>")
				.pointFormat("<span style=\"color:{series.color}\">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}");
		
		chartOptions.plotOptions()
			.column()
				.stacking(Stacking.NORMAL)
				.depth(40);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.type(SeriesType.COLUMN).name("John").stack("male");
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2)));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.type(SeriesType.COLUMN).name("Joe").stack("male");
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(3, 4, 4, 2, 5)));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.type(SeriesType.COLUMN).name("Jane").stack("female");
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(2, 5, 6, 2, 1)));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.type(SeriesType.COLUMN).name("Janet").stack("female");
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(3, 0, 4, 4, 3)));
		chartOptions.series().add(seriesColumn);
		
		return highChart;
	}
	
}
