package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesPie;
import com.hyjavacharts.model.highcharts.series.seriespie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDDonut extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
				
		chartOptions.chart()
			.type(ChartType.PIE)
			.options3d()
				.enabled(true)
				.alpha(45);
		chartOptions
			.title().text("Contents of Highsoft's weekly fruit delivery");
		chartOptions
			.subtitle().text("3D donut in Highcharts");
		chartOptions.plotOptions()
			.pie()
				.innerSizeAsNumber(100)
				.depth(45);
		
		SeriesPie seriesPie = new SeriesPie();
		seriesPie.type(SeriesType.PIE).name("Delivered amount");
		seriesPie.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesPie);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
   		array.add(new Data().name("Bananas").y(8));
   		array.add(new Data().name("Kiwi").y(3));
   		array.add(new Data().name("Mixed nuts").y(1));
   		array.add(new Data().name("Oranges").y(6));
   		array.add(new Data().name("Apples").y(8));
   		array.add(new Data().name("Pears").y(4));
   		array.add(new Data().name("Clementines").y(4));
   		array.add(new Data().name("Reddish (bag)").y(1));
   		array.add(new Data().name("Grapes (bunch)").y(1));

    	return array;
    }
}
