package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Date;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.constants.ZoomType;
import com.hyjavacharts.model.highcharts.series.SeriesArea;
import com.hyjavacharts.model.highcharts.series.seriesarea.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class TimeSeriesZoomable extends DemoChartBase {
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.chart().zoomType(ZoomType.X);
		chartOptions.title().text("USD to EUR exchange rate over time");
		chartOptions.subtitle().text("Click and drag in the plot area to zoom in");
	
		chartOptions.xAxis().add(new XAxis().type(AxisType.DATETIME));
		
		YAxis yAxi = new YAxis();
		yAxi.title().text("Exchange rate");
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.legend().enabled(false);
		
		String linearGradient = "linearGradient: { x1: 0, y1: 0, x2: 0,  y2: 1 },";
		String stops = "stops: [[0, Highcharts.getOptions().colors[0]], [1, Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba')]] ";
		chartOptions.plotOptions().area().fillColor(new Color().setColorValue("{" + linearGradient + stops + "}"));
		chartOptions.plotOptions().area().marker().radius(2);
		chartOptions.plotOptions().area().lineWidth(1);
		chartOptions.plotOptions().area().states().hover().lineWidth(1);
		chartOptions.plotOptions().area().threshold(null);
		
		SeriesArea seriesArea = new SeriesArea();
		seriesArea.type(SeriesType.AREA).name("USD to EUR");
		seriesArea.dataAsArrayObject((getSeriesData(1)));
		chartOptions.series().add(seriesArea);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
    	ArrayList<Data> array2 = new ArrayList<Data>();
    	array2.add(new Data().x(Date.UTC(2013-1900,5,2,0,0,0)).y(0.7695));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,3,0,0,0)).y(0.7648));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,4,0,0,0)).y(0.7645));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,5,0,0,0)).y(0.7638));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,6,0,0,0)).y(0.7549));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,7,0,0,0)).y(0.7562));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,9,0,0,0)).y(0.7574));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,10,0,0,0)).y(0.7543));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,11,0,0,0)).y(0.7510));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,12,0,0,0)).y(0.7498));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,13,0,0,0)).y(0.7477));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,14,0,0,0)).y(0.7492));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,16,0,0,0)).y(0.7487));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,17,0,0,0)).y(0.7480));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,18,0,0,0)).y(0.7466));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,19,0,0,0)).y(0.7521));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,20,0,0,0)).y(0.7564));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,21,0,0,0)).y(0.7621));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,23,0,0,0)).y(0.7630));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,24,0,0,0)).y(0.7623));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,25,0,0,0)).y(0.7644));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,26,0,0,0)).y(0.7685));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,27,0,0,0)).y(0.7671));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,28,0,0,0)).y(0.7687));
    	array2.add(new Data().x(Date.UTC(2013-1900,5,30,0,0,0)).y(0.7687));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,1,0,0,0)).y(0.7654));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,2,0,0,0)).y(0.7705));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,3,0,0,0)).y(0.7687));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,4,0,0,0)).y(0.7744));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,5,0,0,0)).y(0.7793));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,7,0,0,0)).y(0.7804));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,8,0,0,0)).y(0.7770));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,9,0,0,0)).y(0.7824));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,10,0,0,0)).y(0.7705));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,11,0,0,0)).y(0.7635));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,12,0,0,0)).y(0.7652));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,14,0,0,0)).y(0.7656));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,15,0,0,0)).y(0.7655));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,16,0,0,0)).y(0.7598));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,17,0,0,0)).y(0.7619));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,18,0,0,0)).y(0.7628));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,19,0,0,0)).y(0.7609));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,21,0,0,0)).y(0.7599));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,22,0,0,0)).y(0.7584));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,23,0,0,0)).y(0.7562));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,24,0,0,0)).y(0.7575));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,25,0,0,0)).y(0.7531));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,26,0,0,0)).y(0.7530));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,28,0,0,0)).y(0.7526));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,29,0,0,0)).y(0.7540));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,30,0,0,0)).y(0.7540));
    	array2.add(new Data().x(Date.UTC(2013-1900,6,31,0,0,0)).y(0.7518));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,1,0,0,0)).y(0.7571));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,2,0,0,0)).y(0.7529));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,4,0,0,0)).y(0.7532));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,5,0,0,0)).y(0.7542));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,6,0,0,0)).y(0.7515));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,7,0,0,0)).y(0.7498));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,8,0,0,0)).y(0.7473));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,9,0,0,0)).y(0.7494));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,11,0,0,0)).y(0.7497));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,12,0,0,0)).y(0.7519));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,13,0,0,0)).y(0.7540));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,14,0,0,0)).y(0.7543));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,15,0,0,0)).y(0.7492));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,16,0,0,0)).y(0.7502));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,18,0,0,0)).y(0.7503));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,19,0,0,0)).y(0.7499));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,20,0,0,0)).y(0.7453));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,21,0,0,0)).y(0.7487));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,22,0,0,0)).y(0.7487));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,23,0,0,0)).y(0.7472));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,25,0,0,0)).y(0.7471));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,26,0,0,0)).y(0.7480));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,27,0,0,0)).y(0.7467));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,28,0,0,0)).y(0.7497));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,29,0,0,0)).y(0.7552));
    	array2.add(new Data().x(Date.UTC(2013-1900,7,30,0,0,0)).y(0.7562));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,1,0,0,0)).y(0.7572));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,2,0,0,0)).y(0.7581));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,3,0,0,0)).y(0.7593));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,4,0,0,0)).y(0.7571));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,5,0,0,0)).y(0.7622));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,6,0,0,0)).y(0.7588));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,8,0,0,0)).y(0.7591));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,9,0,0,0)).y(0.7544));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,10,0,0,0)).y(0.7537));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,11,0,0,0)).y(0.7512));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,12,0,0,0)).y(0.7519));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,13,0,0,0)).y(0.7522));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,15,0,0,0)).y(0.7486));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,16,0,0,0)).y(0.7500));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,17,0,0,0)).y(0.7486));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,18,0,0,0)).y(0.7396));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,19,0,0,0)).y(0.7391));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,20,0,0,0)).y(0.7394));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,22,0,0,0)).y(0.7389));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,23,0,0,0)).y(0.7411));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,24,0,0,0)).y(0.7422));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,25,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,26,0,0,0)).y(0.7413));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,27,0,0,0)).y(0.7396));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,29,0,0,0)).y(0.7410));
    	array2.add(new Data().x(Date.UTC(2013-1900,8,30,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,1,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,2,0,0,0)).y(0.7365));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,3,0,0,0)).y(0.7343));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,4,0,0,0)).y(0.7376));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,6,0,0,0)).y(0.7370));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,7,0,0,0)).y(0.7362));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,8,0,0,0)).y(0.7368));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,9,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,10,0,0,0)).y(0.7397));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,11,0,0,0)).y(0.7385));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,13,0,0,0)).y(0.7377));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,14,0,0,0)).y(0.7374));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,15,0,0,0)).y(0.7395));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,16,0,0,0)).y(0.7389));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,17,0,0,0)).y(0.7312));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,18,0,0,0)).y(0.7307));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,20,0,0,0)).y(0.7309));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,21,0,0,0)).y(0.7308));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,22,0,0,0)).y(0.7256));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,23,0,0,0)).y(0.7258));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,24,0,0,0)).y(0.7247));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,25,0,0,0)).y(0.7244));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,27,0,0,0)).y(0.7244));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,28,0,0,0)).y(0.7255));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,29,0,0,0)).y(0.7275));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,30,0,0,0)).y(0.7280));
    	array2.add(new Data().x(Date.UTC(2013-1900,9,31,0,0,0)).y(0.7361));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,1,0,0,0)).y(0.7415));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,3,0,0,0)).y(0.7411));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,4,0,0,0)).y(0.7399));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,5,0,0,0)).y(0.7421));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,6,0,0,0)).y(0.7400));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,7,0,0,0)).y(0.7452));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,8,0,0,0)).y(0.7479));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,10,0,0,0)).y(0.7492));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,11,0,0,0)).y(0.7460));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,12,0,0,0)).y(0.7442));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,13,0,0,0)).y(0.7415));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,14,0,0,0)).y(0.7429));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,15,0,0,0)).y(0.7410));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,17,0,0,0)).y(0.7417));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,18,0,0,0)).y(0.7405));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,19,0,0,0)).y(0.7386));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,20,0,0,0)).y(0.7441));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,21,0,0,0)).y(0.7418));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,22,0,0,0)).y(0.7376));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,24,0,0,0)).y(0.7379));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,25,0,0,0)).y(0.7399));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,26,0,0,0)).y(0.7369));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,27,0,0,0)).y(0.7365));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,28,0,0,0)).y(0.7350));
    	array2.add(new Data().x(Date.UTC(2013-1900,10,29,0,0,0)).y(0.7358));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,1,0,0,0)).y(0.7362));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,2,0,0,0)).y(0.7385));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,3,0,0,0)).y(0.7359));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,4,0,0,0)).y(0.7357));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,5,0,0,0)).y(0.7317));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,6,0,0,0)).y(0.7297));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,8,0,0,0)).y(0.7296));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,9,0,0,0)).y(0.7279));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,10,0,0,0)).y(0.7267));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,11,0,0,0)).y(0.7254));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,12,0,0,0)).y(0.7270));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,13,0,0,0)).y(0.7276));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,15,0,0,0)).y(0.7278));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,16,0,0,0)).y(0.7267));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,17,0,0,0)).y(0.7263));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,18,0,0,0)).y(0.7307));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,19,0,0,0)).y(0.7319));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,20,0,0,0)).y(0.7315));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,22,0,0,0)).y(0.7311));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,23,0,0,0)).y(0.7301));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,24,0,0,0)).y(0.7308));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,25,0,0,0)).y(0.7310));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,26,0,0,0)).y(0.7304));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,27,0,0,0)).y(0.7277));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,29,0,0,0)).y(0.7272));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,30,0,0,0)).y(0.7244));
    	array2.add(new Data().x(Date.UTC(2013-1900,11,31,0,0,0)).y(0.7275));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,1,0,0,0)).y(0.7271));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,2,0,0,0)).y(0.7314));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,3,0,0,0)).y(0.7359));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,5,0,0,0)).y(0.7355));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,6,0,0,0)).y(0.7338));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,7,0,0,0)).y(0.7345));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,8,0,0,0)).y(0.7366));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,9,0,0,0)).y(0.7349));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,10,0,0,0)).y(0.7316));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,12,0,0,0)).y(0.7315));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,13,0,0,0)).y(0.7315));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,14,0,0,0)).y(0.7310));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,15,0,0,0)).y(0.7350));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,16,0,0,0)).y(0.7341));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,17,0,0,0)).y(0.7385));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,19,0,0,0)).y(0.7392));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,20,0,0,0)).y(0.7379));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,21,0,0,0)).y(0.7373));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,22,0,0,0)).y(0.7381));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,23,0,0,0)).y(0.7301));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,24,0,0,0)).y(0.7311));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,26,0,0,0)).y(0.7306));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,27,0,0,0)).y(0.7314));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,28,0,0,0)).y(0.7316));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,29,0,0,0)).y(0.7319));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,30,0,0,0)).y(0.7377));
    	array2.add(new Data().x(Date.UTC(2014-1900,0,31,0,0,0)).y(0.7415));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,2,0,0,0)).y(0.7414));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,3,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,4,0,0,0)).y(0.7397));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,5,0,0,0)).y(0.7389));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,6,0,0,0)).y(0.7358));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,7,0,0,0)).y(0.7334));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,9,0,0,0)).y(0.7343));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,10,0,0,0)).y(0.7328));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,11,0,0,0)).y(0.7332));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,12,0,0,0)).y(0.7356));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,13,0,0,0)).y(0.7309));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,14,0,0,0)).y(0.7304));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,16,0,0,0)).y(0.7300));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,17,0,0,0)).y(0.7295));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,18,0,0,0)).y(0.7268));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,19,0,0,0)).y(0.7281));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,20,0,0,0)).y(0.7289));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,21,0,0,0)).y(0.7278));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,23,0,0,0)).y(0.7280));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,24,0,0,0)).y(0.7280));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,25,0,0,0)).y(0.7275));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,26,0,0,0)).y(0.7306));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,27,0,0,0)).y(0.7295));
    	array2.add(new Data().x(Date.UTC(2014-1900,1,28,0,0,0)).y(0.7245));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,2,0,0,0)).y(0.7259));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,3,0,0,0)).y(0.7280));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,4,0,0,0)).y(0.7276));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,5,0,0,0)).y(0.7282));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,6,0,0,0)).y(0.7215));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,7,0,0,0)).y(0.7206));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,9,0,0,0)).y(0.7206));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,10,0,0,0)).y(0.7207));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,11,0,0,0)).y(0.7216));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,12,0,0,0)).y(0.7192));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,13,0,0,0)).y(0.7210));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,14,0,0,0)).y(0.7187));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,16,0,0,0)).y(0.7188));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,17,0,0,0)).y(0.7183));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,18,0,0,0)).y(0.7177));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,19,0,0,0)).y(0.7229));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,20,0,0,0)).y(0.7258));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,21,0,0,0)).y(0.7249));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,23,0,0,0)).y(0.7247));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,24,0,0,0)).y(0.7226));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,25,0,0,0)).y(0.7232));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,26,0,0,0)).y(0.7255));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,27,0,0,0)).y(0.7278));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,28,0,0,0)).y(0.7271));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,30,0,0,0)).y(0.7272));
    	array2.add(new Data().x(Date.UTC(2014-1900,2,31,0,0,0)).y(0.7261));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,1,0,0,0)).y(0.7250));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,2,0,0,0)).y(0.7264));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,3,0,0,0)).y(0.7289));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,4,0,0,0)).y(0.7298));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,6,0,0,0)).y(0.7298));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,7,0,0,0)).y(0.7278));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,8,0,0,0)).y(0.7248));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,9,0,0,0)).y(0.7218));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,10,0,0,0)).y(0.7200));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,11,0,0,0)).y(0.7202));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,13,0,0,0)).y(0.7222));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,14,0,0,0)).y(0.7236));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,15,0,0,0)).y(0.7239));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,16,0,0,0)).y(0.7238));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,17,0,0,0)).y(0.7238));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,18,0,0,0)).y(0.7238));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,20,0,0,0)).y(0.7239));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,21,0,0,0)).y(0.7250));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,22,0,0,0)).y(0.7244));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,23,0,0,0)).y(0.7238));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,24,0,0,0)).y(0.7229));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,25,0,0,0)).y(0.7229));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,27,0,0,0)).y(0.7226));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,28,0,0,0)).y(0.7220));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,29,0,0,0)).y(0.7240));
    	array2.add(new Data().x(Date.UTC(2014-1900,3,30,0,0,0)).y(0.7211));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,1,0,0,0)).y(0.7210));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,2,0,0,0)).y(0.7209));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,4,0,0,0)).y(0.7209));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,5,0,0,0)).y(0.7207));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,6,0,0,0)).y(0.7180));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,7,0,0,0)).y(0.7188));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,8,0,0,0)).y(0.7225));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,9,0,0,0)).y(0.7268));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,11,0,0,0)).y(0.7267));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,12,0,0,0)).y(0.7269));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,13,0,0,0)).y(0.7297));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,14,0,0,0)).y(0.7291));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,15,0,0,0)).y(0.7294));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,16,0,0,0)).y(0.7302));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,18,0,0,0)).y(0.7298));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,19,0,0,0)).y(0.7295));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,20,0,0,0)).y(0.7298));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,21,0,0,0)).y(0.7307));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,22,0,0,0)).y(0.7323));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,23,0,0,0)).y(0.7335));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,25,0,0,0)).y(0.7338));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,26,0,0,0)).y(0.7329));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,27,0,0,0)).y(0.7335));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,28,0,0,0)).y(0.7358));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,29,0,0,0)).y(0.7351));
    	array2.add(new Data().x(Date.UTC(2014-1900,4,30,0,0,0)).y(0.7337));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,1,0,0,0)).y(0.7338));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,2,0,0,0)).y(0.7355));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,3,0,0,0)).y(0.7338));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,4,0,0,0)).y(0.7353));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,5,0,0,0)).y(0.7321));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,6,0,0,0)).y(0.7330));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,8,0,0,0)).y(0.7327));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,9,0,0,0)).y(0.7356));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,10,0,0,0)).y(0.7381));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,11,0,0,0)).y(0.7389));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,12,0,0,0)).y(0.7379));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,13,0,0,0)).y(0.7384));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,15,0,0,0)).y(0.7388));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,16,0,0,0)).y(0.7367));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,17,0,0,0)).y(0.7382));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,18,0,0,0)).y(0.7356));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,19,0,0,0)).y(0.7349));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,20,0,0,0)).y(0.7353));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,22,0,0,0)).y(0.7357));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,23,0,0,0)).y(0.7350));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,24,0,0,0)).y(0.7350));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,25,0,0,0)).y(0.7337));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,26,0,0,0)).y(0.7347));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,27,0,0,0)).y(0.7327));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,29,0,0,0)).y(0.7330));
    	array2.add(new Data().x(Date.UTC(2014-1900,5,30,0,0,0)).y(0.7304));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,1,0,0,0)).y(0.7310));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,2,0,0,0)).y(0.7320));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,3,0,0,0)).y(0.7347));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,4,0,0,0)).y(0.7356));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,6,0,0,0)).y(0.7360));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,7,0,0,0)).y(0.7350));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,8,0,0,0)).y(0.7346));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,9,0,0,0)).y(0.7329));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,10,0,0,0)).y(0.7348));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,11,0,0,0)).y(0.7349));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,13,0,0,0)).y(0.7352));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,14,0,0,0)).y(0.7342));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,15,0,0,0)).y(0.7369));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,16,0,0,0)).y(0.7393));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,17,0,0,0)).y(0.7392));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,18,0,0,0)).y(0.7394));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,20,0,0,0)).y(0.7390));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,21,0,0,0)).y(0.7395));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,22,0,0,0)).y(0.7427));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,23,0,0,0)).y(0.7427));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,24,0,0,0)).y(0.7428));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,25,0,0,0)).y(0.7446));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,27,0,0,0)).y(0.7447));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,28,0,0,0)).y(0.7440));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,29,0,0,0)).y(0.7458));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,30,0,0,0)).y(0.7464));
    	array2.add(new Data().x(Date.UTC(2014-1900,6,31,0,0,0)).y(0.7469));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,1,0,0,0)).y(0.7446));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,3,0,0,0)).y(0.7447));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,4,0,0,0)).y(0.7450));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,5,0,0,0)).y(0.7477));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,6,0,0,0)).y(0.7472));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,7,0,0,0)).y(0.7483));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,8,0,0,0)).y(0.7457));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,10,0,0,0)).y(0.7460));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,11,0,0,0)).y(0.7470));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,12,0,0,0)).y(0.7480));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,13,0,0,0)).y(0.7482));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,14,0,0,0)).y(0.7482));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,15,0,0,0)).y(0.7463));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,17,0,0,0)).y(0.7469));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,18,0,0,0)).y(0.7483));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,19,0,0,0)).y(0.7508));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,20,0,0,0)).y(0.7541));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,21,0,0,0)).y(0.7529));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,22,0,0,0)).y(0.7551));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,24,0,0,0)).y(0.7577));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,25,0,0,0)).y(0.7580));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,26,0,0,0)).y(0.7593));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,27,0,0,0)).y(0.7580));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,28,0,0,0)).y(0.7585));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,29,0,0,0)).y(0.7614));
    	array2.add(new Data().x(Date.UTC(2014-1900,7,31,0,0,0)).y(0.7618));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,1,0,0,0)).y(0.7618));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,2,0,0,0)).y(0.7614));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,3,0,0,0)).y(0.7604));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,4,0,0,0)).y(0.7725));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,5,0,0,0)).y(0.7722));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,7,0,0,0)).y(0.7721));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,8,0,0,0)).y(0.7753));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,9,0,0,0)).y(0.7730));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,10,0,0,0)).y(0.7742));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,11,0,0,0)).y(0.7736));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,12,0,0,0)).y(0.7713));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,14,0,0,0)).y(0.7717));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,15,0,0,0)).y(0.7727));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,16,0,0,0)).y(0.7716));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,17,0,0,0)).y(0.7772));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,18,0,0,0)).y(0.7739));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,19,0,0,0)).y(0.7794));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,21,0,0,0)).y(0.7788));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,22,0,0,0)).y(0.7782));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,23,0,0,0)).y(0.7784));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,24,0,0,0)).y(0.7824));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,25,0,0,0)).y(0.7843));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,26,0,0,0)).y(0.7884));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,28,0,0,0)).y(0.7891));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,29,0,0,0)).y(0.7883));
    	array2.add(new Data().x(Date.UTC(2014-1900,8,30,0,0,0)).y(0.7916));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,1,0,0,0)).y(0.7922));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,2,0,0,0)).y(0.7893));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,3,0,0,0)).y(0.7989));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,5,0,0,0)).y(0.7992));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,6,0,0,0)).y(0.7903));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,7,0,0,0)).y(0.7893));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,8,0,0,0)).y(0.7853));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,9,0,0,0)).y(0.7880));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,10,0,0,0)).y(0.7919));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,12,0,0,0)).y(0.7912));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,13,0,0,0)).y(0.7842));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,14,0,0,0)).y(0.7900));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,15,0,0,0)).y(0.7790));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,16,0,0,0)).y(0.7806));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,17,0,0,0)).y(0.7835));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,19,0,0,0)).y(0.7844));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,20,0,0,0)).y(0.7813));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,21,0,0,0)).y(0.7864));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,22,0,0,0)).y(0.7905));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,23,0,0,0)).y(0.7907));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,24,0,0,0)).y(0.7893));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,26,0,0,0)).y(0.7889));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,27,0,0,0)).y(0.7875));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,28,0,0,0)).y(0.7853));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,29,0,0,0)).y(0.7916));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,30,0,0,0)).y(0.7929));
    	array2.add(new Data().x(Date.UTC(2014-1900,9,31,0,0,0)).y(0.7984));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,2,0,0,0)).y(0.7999));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,3,0,0,0)).y(0.8012));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,4,0,0,0)).y(0.7971));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,5,0,0,0)).y(0.8009));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,6,0,0,0)).y(0.8081));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,7,0,0,0)).y(0.8030));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,9,0,0,0)).y(0.8025));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,10,0,0,0)).y(0.8051));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,11,0,0,0)).y(0.8016));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,12,0,0,0)).y(0.8040));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,13,0,0,0)).y(0.8015));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,14,0,0,0)).y(0.7985));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,16,0,0,0)).y(0.7988));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,17,0,0,0)).y(0.8032));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,18,0,0,0)).y(0.7976));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,19,0,0,0)).y(0.7965));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,20,0,0,0)).y(0.7975));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,21,0,0,0)).y(0.8071));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,23,0,0,0)).y(0.8082));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,24,0,0,0)).y(0.8037));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,25,0,0,0)).y(0.8016));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,26,0,0,0)).y(0.7996));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,27,0,0,0)).y(0.8022));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,28,0,0,0)).y(0.8031));
    	array2.add(new Data().x(Date.UTC(2014-1900,10,30,0,0,0)).y(0.8040));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,1,0,0,0)).y(0.8020));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,2,0,0,0)).y(0.8075));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,3,0,0,0)).y(0.8123));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,4,0,0,0)).y(0.8078));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,5,0,0,0)).y(0.8139));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,7,0,0,0)).y(0.8135));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,8,0,0,0)).y(0.8119));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,9,0,0,0)).y(0.8081));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,10,0,0,0)).y(0.8034));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,11,0,0,0)).y(0.8057));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,12,0,0,0)).y(0.8024));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,14,0,0,0)).y(0.8024));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,15,0,0,0)).y(0.8040));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,16,0,0,0)).y(0.7993));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,17,0,0,0)).y(0.8102));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,18,0,0,0)).y(0.8139));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,19,0,0,0)).y(0.8177));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,21,0,0,0)).y(0.8180));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,22,0,0,0)).y(0.8176));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,23,0,0,0)).y(0.8215));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,24,0,0,0)).y(0.8200));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,25,0,0,0)).y(0.8182));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,26,0,0,0)).y(0.8213));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,28,0,0,0)).y(0.8218));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,29,0,0,0)).y(0.8229));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,30,0,0,0)).y(0.8225));
    	array2.add(new Data().x(Date.UTC(2014-1900,11,31,0,0,0)).y(0.8266));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,1,0,0,0)).y(0.8262));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,2,0,0,0)).y(0.8331));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,4,0,0,0)).y(0.8371));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,5,0,0,0)).y(0.8380));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,6,0,0,0)).y(0.8411));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,7,0,0,0)).y(0.8447));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,8,0,0,0)).y(0.8480));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,9,0,0,0)).y(0.8445));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,11,0,0,0)).y(0.8425));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,12,0,0,0)).y(0.8451));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,13,0,0,0)).y(0.8495));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,14,0,0,0)).y(0.8482));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,15,0,0,0)).y(0.8598));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,16,0,0,0)).y(0.8643));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,18,0,0,0)).y(0.8648));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,19,0,0,0)).y(0.8617));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,20,0,0,0)).y(0.8658));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,21,0,0,0)).y(0.8613));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,22,0,0,0)).y(0.8798));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,23,0,0,0)).y(0.8922));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,25,0,0,0)).y(0.8990));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,26,0,0,0)).y(0.8898));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,27,0,0,0)).y(0.8787));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,28,0,0,0)).y(0.8859));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,29,0,0,0)).y(0.8834));
    	array2.add(new Data().x(Date.UTC(2015-1900,0,30,0,0,0)).y(0.8859));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,1,0,0,0)).y(0.8843));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,2,0,0,0)).y(0.8817));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,3,0,0,0)).y(0.8710));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,4,0,0,0)).y(0.8813));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,5,0,0,0)).y(0.8713));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,6,0,0,0)).y(0.8837));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,8,0,0,0)).y(0.8839));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,9,0,0,0)).y(0.8831));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,10,0,0,0)).y(0.8833));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,11,0,0,0)).y(0.8823));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,12,0,0,0)).y(0.8770));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,13,0,0,0)).y(0.8783));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,15,0,0,0)).y(0.8774));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,16,0,0,0)).y(0.8807));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,17,0,0,0)).y(0.8762));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,18,0,0,0)).y(0.8774));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,19,0,0,0)).y(0.8798));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,20,0,0,0)).y(0.8787));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,22,0,0,0)).y(0.8787));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,23,0,0,0)).y(0.8824));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,24,0,0,0)).y(0.8818));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,25,0,0,0)).y(0.8801));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,26,0,0,0)).y(0.8931));
    	array2.add(new Data().x(Date.UTC(2015-1900,1,27,0,0,0)).y(0.8932));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,1,0,0,0)).y(0.8960));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,2,0,0,0)).y(0.8941));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,3,0,0,0)).y(0.8948));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,4,0,0,0)).y(0.9026));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,5,0,0,0)).y(0.9066));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,6,0,0,0)).y(0.9222));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,8,0,0,0)).y(0.9221));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,9,0,0,0)).y(0.9214));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,10,0,0,0)).y(0.9347));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,11,0,0,0)).y(0.9482));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,12,0,0,0)).y(0.9403));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,13,0,0,0)).y(0.9528));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,15,0,0,0)).y(0.9541));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,16,0,0,0)).y(0.9462));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,17,0,0,0)).y(0.9435));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,18,0,0,0)).y(0.9203));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,19,0,0,0)).y(0.9381));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,20,0,0,0)).y(0.9241));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,22,0,0,0)).y(0.9237));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,23,0,0,0)).y(0.9135));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,24,0,0,0)).y(0.9152));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,25,0,0,0)).y(0.9114));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,26,0,0,0)).y(0.9188));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,27,0,0,0)).y(0.9184));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,29,0,0,0)).y(0.9188));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,30,0,0,0)).y(0.9231));
    	array2.add(new Data().x(Date.UTC(2015-1900,2,31,0,0,0)).y(0.9319));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,1,0,0,0)).y(0.9291));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,2,0,0,0)).y(0.9188));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,3,0,0,0)).y(0.9109));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,5,0,0,0)).y(0.9091));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,6,0,0,0)).y(0.9154));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,7,0,0,0)).y(0.9246));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,8,0,0,0)).y(0.9276));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,9,0,0,0)).y(0.9382));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,10,0,0,0)).y(0.9431));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,12,0,0,0)).y(0.9426));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,13,0,0,0)).y(0.9463));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,14,0,0,0)).y(0.9386));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,15,0,0,0)).y(0.9357));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,16,0,0,0)).y(0.9293));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,17,0,0,0)).y(0.9254));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,19,0,0,0)).y(0.9251));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,20,0,0,0)).y(0.9312));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,21,0,0,0)).y(0.9315));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,22,0,0,0)).y(0.9323));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,23,0,0,0)).y(0.9236));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,24,0,0,0)).y(0.9196));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,26,0,0,0)).y(0.9201));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,27,0,0,0)).y(0.9184));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,28,0,0,0)).y(0.9106));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,29,0,0,0)).y(0.8983));
    	array2.add(new Data().x(Date.UTC(2015-1900,3,30,0,0,0)).y(0.8909));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,1,0,0,0)).y(0.8928));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,3,0,0,0)).y(0.8941));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,4,0,0,0)).y(0.8972));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,5,0,0,0)).y(0.8940));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,6,0,0,0)).y(0.8808));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,7,0,0,0)).y(0.8876));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,8,0,0,0)).y(0.8925));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,10,0,0,0)).y(0.8934));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,11,0,0,0)).y(0.8964));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,12,0,0,0)).y(0.8917));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,13,0,0,0)).y(0.8805));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,14,0,0,0)).y(0.8764));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,15,0,0,0)).y(0.8732));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,17,0,0,0)).y(0.8737));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,18,0,0,0)).y(0.8838));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,19,0,0,0)).y(0.8969));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,20,0,0,0)).y(0.9014));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,21,0,0,0)).y(0.8999));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,22,0,0,0)).y(0.9076));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,24,0,0,0)).y(0.9098));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,25,0,0,0)).y(0.9110));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,26,0,0,0)).y(0.9196));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,27,0,0,0)).y(0.9170));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,28,0,0,0)).y(0.9133));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,29,0,0,0)).y(0.9101));
    	array2.add(new Data().x(Date.UTC(2015-1900,4,31,0,0,0)).y(0.9126));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,1,0,0,0)).y(0.9151));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,2,0,0,0)).y(0.8965));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,3,0,0,0)).y(0.8871));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,4,0,0,0)).y(0.8898));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,5,0,0,0)).y(0.8999));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,7,0,0,0)).y(0.9004));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,8,0,0,0)).y(0.8857));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,9,0,0,0)).y(0.8862));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,10,0,0,0)).y(0.8829));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,11,0,0,0)).y(0.8882));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,12,0,0,0)).y(0.8873));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,14,0,0,0)).y(0.8913));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,15,0,0,0)).y(0.8862));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,16,0,0,0)).y(0.8891));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,17,0,0,0)).y(0.8821));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,18,0,0,0)).y(0.8802));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,19,0,0,0)).y(0.8808));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,21,0,0,0)).y(0.8794));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,22,0,0,0)).y(0.8818));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,23,0,0,0)).y(0.8952));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,24,0,0,0)).y(0.8924));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,25,0,0,0)).y(0.8925));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,26,0,0,0)).y(0.8955));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,28,0,0,0)).y(0.9113));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,29,0,0,0)).y(0.8900));
    	array2.add(new Data().x(Date.UTC(2015-1900,5,30,0,0,0)).y(0.8950));

    	return array2;
    }
}
