package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.LayoutAlgorithm;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesTreemap;
import com.hyjavacharts.model.highcharts.series.seriestreemap.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class TreeMapWithColorAxis extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.title().text("Highcharts Treemap");
		
		chartOptions.colorAxis()
			.minColor(new Color("#FFFFFF"))
			.maxColor(new Color().setColorValue("Highcharts.getOptions().colors[0]"));
		
		SeriesTreemap seriesTreemap = new SeriesTreemap();
		seriesTreemap.type(SeriesType.TREEMAP)
			.layoutAlgorithm(LayoutAlgorithm.SQUARIFIED);
		seriesTreemap.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesTreemap);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
   		array.add(new Data().name("A").value(6).colorValue(1));
   		array.add(new Data().name("B").value(6).colorValue(2));
   		array.add(new Data().name("C").value(4).colorValue(3));
   		array.add(new Data().name("D").value(3).colorValue(4));
   		array.add(new Data().name("E").value(2).colorValue(5));
   		array.add(new Data().name("F").value(2).colorValue(6));
   		array.add(new Data().name("G").value(1).colorValue(7));

    	return array;
    }
}
