package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.common.Function;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesWaterfall;
import com.hyjavacharts.model.highcharts.series.serieswaterfall.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class Waterfall extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.WATERFALL);
		chartOptions.title().text("Highcharts Waterfall");

		chartOptions.xAxisSingle().type(AxisType.CATEGORY);
		chartOptions.yAxisSingle().title().text("USD");
		
		chartOptions.legend().enabled(false);
		chartOptions.tooltip().pointFormat("<b>${point.y:,.2f}</b> USD");
		
		SeriesWaterfall seriesWaterfall = new SeriesWaterfall();
		seriesWaterfall.upColor(new Color().setColorValue("Highcharts.getOptions().colors[2]"))
			.color(new Color().setColorValue("Highcharts.getOptions().colors[3]"))
			.pointPadding(0)
			.dataLabels().enabled(true)
				.formatter(new Function("return Highcharts.numberFormat(this.y / 1000, 0, ',') + 'k';"))
				.style().setCssValue("{ fontWeight: 'bold' }");
		seriesWaterfall.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesWaterfall);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
		array.add(new Data().name("Start").y(120000));
		array.add(new Data().name("Product Revenue").y(569000));
		array.add(new Data().name("Service Revenue").y(231000));
		array.add(new Data().name("Positive Balance").isIntermediateSum(true).color(new Color().setColorValue("Highcharts.getOptions().colors[1]")));
		array.add(new Data().name("Fixed Costs").y(-342000));
		array.add(new Data().name("Variable Costs").y(-233000));
		array.add(new Data().name("Balance").isSum(true).color(new Color().setColorValue("Highcharts.getOptions().colors[1]")));

    	return array;
    }
}
