package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class WithDataLabels extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.chart().type(ChartType.LINE);
		chartOptions.title().text("Monthly Average Temperature");
		chartOptions.subtitle().text("Source: WorldClimate.com");
	
		XAxis xAxi = new XAxis();
		xAxi.categories(new ArrayList<String>(Arrays.asList("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec")));
		chartOptions.xAxis().add(xAxi);
		
		YAxis yAxi = new YAxis();
		yAxi.title().text("Temperature (°C)");
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.plotOptions().line().enableMouseTracking(false).dataLabels().enabled(true);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.name("Tokyo");
		seriesLine.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("London");
		seriesLine.dataAsArrayNumber(getSeriesData(2));
		chartOptions.series().add(seriesLine);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Number> getSeriesData(int series) {
		List<Number> sourceList;
		ArrayList<Number> array = new ArrayList<Number>();
		
    	if (series == 1) {
    		sourceList = Arrays.asList(7.0, 6.9, 9.5, 14.5, 18.4, 21.5, 25.2, 26.5, 23.3, 18.3, 13.9, 9.6);
    		array = new ArrayList<Number>(sourceList);
    	}
    	else if (series == 2) {
    		sourceList = Arrays.asList(3.9, 4.2, 5.7, 8.5, 11.9, 15.2, 17.0, 16.6, 14.2, 10.3, 6.6, 4.8);
    		array = new ArrayList<Number>(sourceList);
    	}

    	return array;
    }
}
