package com.webonlineapp.hyjavachartsdemo.examplecharts;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.MinorTickPosition;
import com.hyjavacharts.model.highcharts.constants.TickPosition;
import com.hyjavacharts.model.highcharts.pane.Background;
import com.hyjavacharts.model.highcharts.series.SeriesGauge;
import com.hyjavacharts.model.highcharts.yaxis.PlotBands;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class AngularGauge extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.chart()
			.type(ChartType.GAUGE)
			.plotBorderWidth(0)
			.plotShadowAsBoolean(false)
			.plotBackgroundColor(null)
			.plotBackgroundImage(null)
			; 
		chartOptions.title().text("Speedometer");

		chartOptions.paneSingle()
			.startAngle(-150)
			.endAngle(150);
		
		Background b = new Background().borderWidth(0).outerRadiusAsString("109%");
		b.backgroundColor()
			.setColorValue("{ linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 }, stops: [ [0, '#FFF'],[1, '#333'] ] }");
		chartOptions.paneSingle().background().add(b);
		
		b = new Background().borderWidth(1).outerRadiusAsString("107%");
		b.backgroundColor()
			.setColorValue("{ linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 }, stops: [ [0, '#333'],[1, '#FFF'] ] }");
		chartOptions.paneSingle().background().add(b);
		
		chartOptions.paneSingle().background().add(new Background());
		
		b = new Background().borderWidth(0).outerRadiusAsString("105%").innerRadiusAsString("103%");
		b.backgroundColor().setColor("#DDD");
		chartOptions.paneSingle().background().add(b);
	
		YAxis yAxi = new YAxis();
		yAxi.title().text("km/h");
		
		yAxi.min(0).max(200).minorTickIntervalAsString("auto").minorTickWidth(1).minorTickLength(10)
			.minorTickPosition(MinorTickPosition.INSIDE).minorTickColor().setColor("#666");
		yAxi.tickPixelInterval(30).tickWidth(2).tickPosition(TickPosition.INSIDE)
			.tickLength(10).tickColor().setColor("#666");
		yAxi.labels().step(2);	// doco says its a number but sample has .rotation("auto");
		
		yAxi.plotBands().add(new PlotBands().from(0).to(120).color(new Color("#55BF3B")));
		yAxi.plotBands().add(new PlotBands().from(120).to(160).color(new Color("#DDDF0D")));
		yAxi.plotBands().add(new PlotBands().from(160).to(200).color(new Color("#DF5353")));
		
		chartOptions.yAxis().add(yAxi);
		
		SeriesGauge sg = new SeriesGauge();
		sg.tooltip().valueSuffix(" km/h");
		sg.name("Speed").dataAsArrayNumber().add(80);
		chartOptions.series().add(sg);
		
		return highChart;
	}

}
