package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.common.GenericOption;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesArearange;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class AreaRangeAndLine extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.title().text("July temperatures");

		chartOptions.xAxisSingle().type(AxisType.DATETIME);
		
		chartOptions.yAxisSingle().title().text(null);

		chartOptions.tooltip().crosshairs(true).shared(true).valueSuffix("°C");

		SeriesLine seriesLine = new SeriesLine();
		seriesLine.name("Temperature")
			.zIndex(1).marker()
			.fillColor(new Color("white"))
			.lineWidth(2)
			.lineColor(new Color().setColorValue("Highcharts.getOptions().colors[0]"));
		seriesLine.dataAsArrayJavaObject(getSeriesData(1));
		chartOptions.series().add(seriesLine);
		
		SeriesArearange seriesArearange = new SeriesArearange();
		seriesArearange.type(SeriesType.AREARANGE)
			.name("Range")
			.lineWidth(0)
			.linkedTo(":previous")
			.color(new Color().setColorValue("Highcharts.getOptions().colors[0]"))
			.fillOpacity(0.3)
			.zIndex(0)
			//.get_genericOption1().setPropertyName("marker").setPropertyValue("{ enabled: false }"); 	// .marker().enabled(false); not in hc api
			.get_genericOption().add(new GenericOption().setPropertyName("marker").setPropertyValue("{ enabled: false }")); 	// .marker().enabled(false); not in hc api
		seriesArearange.dataAsArrayJavaObject(getSeriesData(2));
		chartOptions.series().add(seriesArearange);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Object> getSeriesData(int series) {
		ArrayList<Object> array = new ArrayList<Object>();
		
		if (series == 1) {
			array.add(new ArrayList<Number>(Arrays.asList(1246406400000.0, 21.5)));
			array.add(new ArrayList<Number>(Arrays.asList(1246492800000.0, 22.1)));
			array.add(new ArrayList<Number>(Arrays.asList(1246579200000.0, 23)));
			array.add(new ArrayList<Number>(Arrays.asList(1246665600000.0, 23.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1246752000000.0, 21.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1246838400000.0, 21.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1246924800000.0, 18.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1247011200000.0, 15.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1247097600000.0, 16.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1247184000000.0, 17.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247270400000.0, 17.5)));
			array.add(new ArrayList<Number>(Arrays.asList(1247356800000.0, 17.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1247443200000.0, 17.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247529600000.0, 16.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1247616000000.0, 17.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247702400000.0, 16.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1247788800000.0, 17.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1247875200000.0, 18.1)));
			array.add(new ArrayList<Number>(Arrays.asList(1247961600000.0, 17.2)));
			array.add(new ArrayList<Number>(Arrays.asList(1248048000000.0, 14.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1248134400000.0, 13.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1248220800000.0, 15.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1248307200000.0, 14.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1248393600000.0, 15.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1248480000000.0, 15.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1248566400000.0, 15.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1248652800000.0, 15.2)));
			array.add(new ArrayList<Number>(Arrays.asList(1248739200000.0, 14.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1248825600000.0, 14.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1248912000000.0, 15)));
			array.add(new ArrayList<Number>(Arrays.asList(1248998400000.0, 13.6)));
		}
		else {
			array.add(new ArrayList<Number>(Arrays.asList(1246406400000.0, 14.3, 27.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1246492800000.0, 14.5, 27.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1246579200000.0, 15.5, 29.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1246665600000.0, 16.7, 30.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1246752000000.0, 16.5, 25.0)));
			array.add(new ArrayList<Number>(Arrays.asList(1246838400000.0, 17.8, 25.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1246924800000.0, 13.5, 24.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1247011200000.0, 10.5, 21.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1247097600000.0, 9.2, 23.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1247184000000.0, 11.6, 21.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1247270400000.0, 10.7, 23.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247356800000.0, 11.0, 23.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1247443200000.0, 11.6, 23.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247529600000.0, 11.8, 20.7)));
			array.add(new ArrayList<Number>(Arrays.asList(1247616000000.0, 12.6, 22.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1247702400000.0, 13.6, 19.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1247788800000.0, 11.4, 22.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1247875200000.0, 13.2, 25.0)));
			array.add(new ArrayList<Number>(Arrays.asList(1247961600000.0, 14.2, 21.6)));
			array.add(new ArrayList<Number>(Arrays.asList(1248048000000.0, 13.1, 17.1)));
			array.add(new ArrayList<Number>(Arrays.asList(1248134400000.0, 12.2, 15.5)));
			array.add(new ArrayList<Number>(Arrays.asList(1248220800000.0, 12.0, 20.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1248307200000.0, 12.0, 17.1)));
			array.add(new ArrayList<Number>(Arrays.asList(1248393600000.0, 12.7, 18.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1248480000000.0, 12.4, 19.4)));
			array.add(new ArrayList<Number>(Arrays.asList(1248566400000.0, 12.6, 19.9)));
			array.add(new ArrayList<Number>(Arrays.asList(1248652800000.0, 11.9, 20.2)));
			array.add(new ArrayList<Number>(Arrays.asList(1248739200000.0, 11.0, 19.3)));
			array.add(new ArrayList<Number>(Arrays.asList(1248825600000.0, 10.8, 17.8)));
			array.add(new ArrayList<Number>(Arrays.asList(1248912000000.0, 11.8, 18.5)));
			array.add(new ArrayList<Number>(Arrays.asList(1248998400000.0, 10.8, 16.1)));
		}


    	return array;
    }
}
