package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesColumnrange;
import com.hyjavacharts.model.highcharts.series.seriescolumnrange.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ColumnRange extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart()
			.type(ChartType.COLUMNRANGE)
			.inverted(true);
		chartOptions.title().text("Temperature variation by month");
		chartOptions.subtitle().text("Observed in Vik i Sogn, Norway");

		XAxis xAxi = new XAxis();
		xAxi.crosshairAsBoolean(true)
			.categories(new ArrayList<String>
				(Arrays.asList("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec")));
		chartOptions.xAxis().add(xAxi);

		YAxis yAxi = new YAxis();
		yAxi.title().text("Temperature ( °C )");
		chartOptions.yAxis().add(yAxi);
		
		chartOptions.tooltip().valueSuffix("°C");
		chartOptions.plotOptions().columnrange().dataLabels().enabled(true).formatter().setFunctionBody("return this.y + '°C';");
		chartOptions.legend().enabled(false);
		
		SeriesColumnrange seriesColumnrange = new SeriesColumnrange();
		seriesColumnrange.name("Temperatures");
		seriesColumnrange.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesColumnrange);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
		array.add(new Data().low(-9.7).high(9.4));
		array.add(new Data().low(-8.7).high(6.5));
		array.add(new Data().low(-3.5).high(9.4));
		array.add(new Data().low(-1.4).high(19.9));
		array.add(new Data().low(0.0).high(22.6));
		array.add(new Data().low(2.9).high(29.5));
		array.add(new Data().low(9.2).high(30.7));
		array.add(new Data().low(7.3).high(26.5));
		array.add(new Data().low(4.4).high(18.0));
		array.add(new Data().low(-3.1).high(11.4));
		array.add(new Data().low(-5.2).high(10.4));
		array.add(new Data().low(-13.5).high(9.8));

    	return array;
    }
}
