package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesPyramid;
import com.hyjavacharts.model.highcharts.series.seriespyramid.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class PyramidChart extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.PYRAMID);
		chartOptions.title().text("Sales pyramid").x(-50);

		chartOptions.plotOptions()
			.pyramid()
				.centerAsArrayString(new ArrayList<String>(Arrays.asList("40%", "50%")))
				.widthAsString("80%")
				.dataLabels()
					.enabled(true)
					.format("<b>{point.name}</b> ({point.y:,.0f})")
					.color(new Color().setColorValue("(Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'"))
					.softConnector(true);
		
		chartOptions.legend().enabled(false);
		
		SeriesPyramid seriesPyramid = new SeriesPyramid();
		seriesPyramid.name("Unique users");
		seriesPyramid.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesPyramid);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
		array.add(new Data().name("Website visits").y(15654));
		array.add(new Data().name("Downloads").y(4064));
		array.add(new Data().name("Requested price list").y(1987));
		array.add(new Data().name("Invoice sent").y(976));
		array.add(new Data().name("Finalized").y(846));

    	return array;
    }
}
