package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.hyjavacharts.model.highcharts.series.SeriesScatter;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ScatterWithRegressionLine extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.title().text("Scatter plot with regression line");

		XAxis xAxi = new XAxis();
		xAxi.min(-0.5).max(5.5);
		chartOptions.xAxis().add(xAxi);

		YAxis yAxi = new YAxis();
		yAxi.min(0);
		chartOptions.yAxis().add(yAxi);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.type(SeriesType.LINE)
			.name("Regression Line")
			.enableMouseTracking(false)
			.marker().enabled(false);
		seriesLine.states().hover().lineWidth(0);
		seriesLine.dataAsArrayJavaObject(getSeriesData(1));
		chartOptions.series().add(seriesLine);

		SeriesScatter seriesScatter = new SeriesScatter();
		seriesScatter.type(SeriesType.SCATTER)
			.name("Observations")
			.marker().radius(4);
		seriesScatter.dataAsArrayJavaObject(getSeriesData(2));
		chartOptions.series().add(seriesScatter);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Object> getSeriesData(int series) {
		ArrayList<Object> array = new ArrayList<Object>();
		
    	if (series == 1) {
    		array.add(new ArrayList<Object>(Arrays.asList(0, 1.11)));
    		array.add(new ArrayList<Object>(Arrays.asList(5, 4.51)));
    	}
    	else if (series == 2) {
    		array = new ArrayList<Object>(Arrays.asList(1, 1.5, 2.8, 3.5, 3.9, 4.2));
    	}

    	return array;
    }
}
