package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.constants.VerticalAlign;
import com.hyjavacharts.model.highcharts.series.SeriesPie;
import com.hyjavacharts.model.highcharts.series.seriespie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class SemiCircleDonut extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart()
			.plotBackgroundColor(null)
			.plotBorderWidth(0)
			.plotShadowAsBoolean(false);
		
		chartOptions.title().text("Browser<br>shares<br>2015")
			.align(HorizontalAlign.CENTER)
			.verticalAlign(VerticalAlign.MIDDLE)
			.y(40);

		chartOptions.tooltip().pointFormat("{series.name}: <b>{point.percentage:.1f}%</b>");
		
		chartOptions.plotOptions()
			.pie()
				.startAngle(-90)
				.endAngle(90)
				.centerAsArrayString(new ArrayList<String>(Arrays.asList("50%", "75%")))
				.dataLabels()
					.enabled(true)
					.distance(-50)
					.style().setCssValue("{fontWeight: 'bold', color: 'white'}");
						//.fontWeight("bold")
						//.color(new Color("white"));
		
		SeriesPie seriesPie = new SeriesPie();
		seriesPie.type(SeriesType.PIE)
			.name("Browser share")
			.innerSizeAsString("50%");
		seriesPie.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesPie);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
   		array.add(new Data().name("Firefox").y(10.38));
   		array.add(new Data().name("IE").y(56.33));
   		array.add(new Data().name("Chrome").y(24.03));
   		array.add(new Data().name("Safari").y(4.77));
   		array.add(new Data().name("Opera").y(0.91));
   		Data d = new Data();
   		d.name("Proprietary or Undetectable")
			.y(0.2)
			.dataLabels()
				.setJsValue("{ enabled: false }");
   		array.add(d);

    	return array;
    }
}
