package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDColumnWithNullAndZeros extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.COLUMN);
		chartOptions.title().text("3D chart with null values");
		chartOptions.subtitle().text("Notice the difference between a 0 value and a null point");
		
		chartOptions.chart().options3d()
			.enabled(true)
			.alpha(10)
			.beta(25)
			.depth(70);
		
		chartOptions.plotOptions().column().depth(25);
		
		XAxis xAxis = new XAxis();
		xAxis.categories(new ArrayList<String>
						(Arrays.asList("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec")));
		//xAxis.labels().skew3d(true).style().fontSize("16px");
		chartOptions.xAxis().add(xAxis);
		
		YAxis yAxis = new YAxis();
		yAxis.min(0).title().text(null);
		chartOptions.yAxis().add(yAxis);

		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.name("Sales")
			.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(2, 3, null, 4, 0, 5, 1, 4, 6, 3)));
		chartOptions.series().add(seriesColumn);
		
		return highChart;
	}

}
