package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Cursor;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesPie;
import com.hyjavacharts.model.highcharts.series.seriespie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ThreeDPie extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
				
		chartOptions.chart()
			.type(ChartType.PIE)
			.options3d()
				.enabled(true)
				.alpha(45)
				.beta(0);
		chartOptions
			.title().text("Browser market shares at a specific website, 2014");
		chartOptions
			.tooltip().pointFormat("{series.name}: <b>{point.percentage:.1f}%</b>");
		
		chartOptions.plotOptions()
			.pie()
				.allowPointSelect(true)
				.cursor(Cursor.POINTER)
				.depth(35)
				.dataLabels()
					.enabled(true)
					.format("{point.name}");
		
		SeriesPie seriesPie = new SeriesPie();
		seriesPie.type(SeriesType.PIE).name("Browser share");
		seriesPie.dataAsArrayObject(getSeriesData(1));
		chartOptions.series().add(seriesPie);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Data> getSeriesData(int series) {
		ArrayList<Data> array = new ArrayList<Data>();
		
   		array.add(new Data().name("Firefox").y(45.0));
   		array.add(new Data().name("IE").y(26.8));
   		array.add(new Data().name("Chrome").y(12.8).sliced(true).selected(true));
   		array.add(new Data().name("Safari").y(8.5));
   		array.add(new Data().name("Opera").y(6.2));
   		array.add(new Data().name("Others").y(0.7));

    	return array;
    }
}
