package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.Pane;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.MinorTickPosition;
import com.hyjavacharts.model.highcharts.constants.TickPosition;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.hyjavacharts.model.highcharts.yaxis.PlotBands;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class VUMeter extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.chart().type(ChartType.GAUGE)
			.plotBorderWidth(1)
			.plotBackgroundImage(null)
			.heightAsNumber(200)
			.plotBackgroundColor()
				.setColorValue("{ linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 }, stops: [[0, '#FFF4C6'],[0.3, '#FFFFFF'],[1, '#FFF4C6']] }");
		chartOptions.title().text("VU meter");
		
		chartOptions.pane()			// not an array in hc api
			.add(new Pane()
					.startAngle(-45)
					.endAngle(45)
					.background(null)
					.sizeAsNumber(300)
					.centerAsArrayString(new ArrayList<String>(Arrays.asList("25%", "145%"))));
		
		chartOptions.pane()	
			.add(new Pane()
				.startAngle(-45)
				.endAngle(45)
				.background(null)
				.sizeAsNumber(300)
				.centerAsArrayString(new ArrayList<String>(Arrays.asList("75%", "145%"))));
		
		chartOptions.tooltip().enabled(false);

		YAxis yAxis = new YAxis();
		yAxis.min(-20)
			.max(6)
			.minorTickPosition(MinorTickPosition.OUTSIDE)
			.tickPosition(TickPosition.OUTSIDE)
			.labels().distance(20);
			//.rotation('auto')		// its a number in hc api
		yAxis.plotBands()
			.add(new PlotBands()
					.from(0)
					.to(6)
					.color(new Color("#C02316"))
					.innerRadiusAsString("100%")
					.outerRadiusAsString("105%"));
		yAxis.title().text("VU<br/><span style=\"font-size:8px\">Channel A</span>").y(-40);
		yAxis.pane(0);		// not in hc api
		chartOptions.yAxis().add(yAxis);
		
		yAxis = new YAxis();
		yAxis.min(-20)
			.max(6)
			.minorTickPosition(MinorTickPosition.OUTSIDE)
			.tickPosition(TickPosition.OUTSIDE)
			.labels().distance(20);
			//.rotation('auto')		// its a number in hc api
		yAxis.plotBands()
			.add(new PlotBands()
					.from(0)
					.to(6)
					.color(new Color("#C02316"))
					.innerRadiusAsString("100%")
					.outerRadiusAsString("105%"));
		yAxis.title().text("VU<br/><span style=\"font-size:8px\">Channel B</span>").y(-40);
		yAxis.pane(1);		// not in hc api
		chartOptions.yAxis().add(yAxis);
		
		chartOptions.plotOptions().gauge().dataLabels().enabled(false);
		chartOptions.plotOptions().gauge().dial().radius("100%");
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.name("Channel A").yAxisAsNumber(0);
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(-15)));
		chartOptions.series().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.name("Channel B").yAxisAsNumber(1);
		seriesColumn.dataAsArrayNumber(new ArrayList<Number>(Arrays.asList(-3.2)));
		chartOptions.series().add(seriesColumn);
		
		return highChart;
	}
	
}
