package com.webonlineapp.gwtdemo.server;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.Layout;
import com.hyjavacharts.model.highcharts.constants.VerticalAlign;
import com.hyjavacharts.model.highcharts.series.SeriesLine;

public class BasicLine {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.title().text("Solar Employment Growth by Sector, 2010-2016");
		chartOptions.subtitle().text("Source: thesolarfoundation.com");
	
		YAxis yAxi = new YAxis();
		yAxi.title().text("Number of Employees");
		chartOptions.yAxis().add(yAxi);
	
		chartOptions.legend().layout(Layout.VERTICAL).align(HorizontalAlign.RIGHT).verticalAlign(VerticalAlign.MIDDLE);
		chartOptions.plotOptions()
			.series()
				.pointStart(2010);
		
		chartOptions.responsive().rulesSingle()
			.condition().maxWidth(500);
		chartOptions.responsive().rulesSingle()
			.chartOptions().legend()
				.layout(Layout.HORIZONTAL).align(HorizontalAlign.CENTER).verticalAlign(VerticalAlign.BOTTOM);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.name("Installation");
		seriesLine.dataAsArrayNumber(getSeriesData(1));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("Manufacturing");
		seriesLine.dataAsArrayNumber(getSeriesData(2));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("Sales & Distribution");
		seriesLine.dataAsArrayNumber(getSeriesData(3));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("Project Development");
		seriesLine.dataAsArrayNumber(getSeriesData(4));
		chartOptions.series().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.name("Other");
		seriesLine.dataAsArrayNumber(getSeriesData(5));
		chartOptions.series().add(seriesLine);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434));
    	}
    	else if (series == 3) {
    		return new ArrayList<Number>(Arrays.asList(11744, 17722, 16005, 19771, 20185, 24377, 32147, 39387));
    	}
    	else if (series == 4) {
    		return new ArrayList<Number>(Arrays.asList(null, null, 7988, 12169, 15112, 22452, 34400, 34227));
    	}
    	else  {
    		return new ArrayList<Number>(Arrays.asList(12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111));
    	}
    }
}
